org.jboss.jca.codegenerator

## Class MethodForConnection

- java.lang.Object
- - org.jboss.jca.codegenerator.MethodForConnection

-     public class MethodForConnection
      extends java.lang.Object

  A MethodForConnection.
  Version:
    $Revision: $
  Author:
    Jeff Zhang

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodForConnection()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getExceptionType()` Get the exceptionType.
    `java.lang.String` | `getMethodName()` Get the methodName.
    `java.util.List<MethodParam>` | `getParams()` Get the params.
    `java.lang.String` | `getReturnType()` Get the returnType.
    `MethodParam` | `newParam(java.lang.String name, java.lang.String type)` new param
    `void` | `setExceptionType(java.util.List<java.lang.String> exceptionType)` Set the exceptionType.
    `void` | `setMethodName(java.lang.String methodName)` Set the methodName.
    `void` | `setParams(java.util.List<MethodParam> params)` Set the params.
    `void` | `setReturnType(java.lang.String returnType)` Set the returnType.
    `java.lang.String` | `toString()` toString

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodForConnection

          public MethodForConnection()

  - ### Method Detail

    - #### newParam

          public MethodParam newParam(java.lang.String name,
                                      java.lang.String type)

      new param
      Parameters:
        `name` - param name
        `type` - param type
      Returns:
        new param

    - #### setMethodName

          public void setMethodName(java.lang.String methodName)

      Set the methodName.
      Parameters:
        `methodName` - The methodName to set.

    - #### getMethodName

          public java.lang.String getMethodName()

      Get the methodName.
      Returns:
        the methodName.

    - #### setReturnType

          public void setReturnType(java.lang.String returnType)

      Set the returnType.
      Parameters:
        `returnType` - The returnType to set.

    - #### getReturnType

          public java.lang.String getReturnType()

      Get the returnType.
      Returns:
        the returnType.

    - #### setParams

          public void setParams(java.util.List<MethodParam> params)

      Set the params.
      Parameters:
        `params` - The params to set.

    - #### getParams

          public java.util.List<MethodParam> getParams()

      Get the params.
      Returns:
        the params.

    - #### setExceptionType

          public void setExceptionType(java.util.List<java.lang.String> exceptionType)

      Set the exceptionType.
      Parameters:
        `exceptionType` - The exceptionType to set.

    - #### getExceptionType

          public java.util.List<java.lang.String> getExceptionType()

      Get the exceptionType.
      Returns:
        the exceptionType.

    - #### toString

          public java.lang.String toString()

      toString
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        methodName and all params

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)